Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Participation

List
GET /calendarmodules/{moduleId}/calendars/{calendarId}/participation
https://api.relesysapp.net/api/v1.4/calendarmodules/{moduleId}/calendars/{calendarId}/participation
Get a list of event participations.

attendanceConfirmed will only be set if attendance confirmation is enabled on the related calendar event - otherwise it will be null.

Default sort is by creationDateTime in ascending order.
Scopes: relesys.api, relesys.api:read, relesys.api.calendars, relesys.api.calendars:read
URL Path
moduleId string / guid required
calendarId string / guid required
Query String
attendanceConfirmed boolean Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
eventId string / guid Filterable optional
fillingId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
status string Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":3,"data":[{"id":"72d68ec6-14a7-4c94-bd10-d676e3a42e94","url":null,"eventId":"1a1e476d-f465-447b-b5cf-148f8532f745","eventUrl":null,"userId":"dacc5752-88bc-4ac6-bc57-4e40ed8b2ad4","userUrl":null,"status":"Attending","attendanceConfirmed":false,"fillingId":"7f85b76b-6ec3-48fc-8567-4bea596af1e5","fillingUrl":null,"creationDateTime":"2026-11-11T13:02:18.0265989+00:00","lastModifiedDateTime":"2026-11-12T13:02:18.0265989+00:00"},{"id":"140f18d6-14c4-4091-9f72-05d48867e7b4","url":null,"eventId":"91da9032-b8db-475b-9214-e4156ace2230","eventUrl":null,"userId":"f552903a-20cf-4e20-ab52-451748fd3cf5","userUrl":null,"status":"Tentative","attendanceConfirmed":true,"fillingId":null,"fillingUrl":null,"creationDateTime":"2026-11-12T13:02:18.0265989+00:00","lastModifiedDateTime":null},{"id":"a12e0b9e-9199-41b2-a471-ed30630fba69","url":null,"eventId":"930170e9-8f9b-4ce2-8a74-c42d31d87232","eventUrl":null,"userId":"0e33cc4d-67e6-4a95-96ea-8efb7d805bff","userUrl":null,"status":"Not attending","attendanceConfirmed":null,"fillingId":"1efbc115-11c1-4eef-954b-df9f10cb5c3b","fillingUrl":null,"creationDateTime":"2026-11-12T13:02:18.0265989+00:00","lastModifiedDateTime":null}]}
object
  count integer      
  ⯈ data array[object]      
   attendanceConfirmed boolean      
   creationDateTime datetimeoffset      
   eventId string / guid      
   eventUrl string      
   fillingId string / guid      
   fillingUrl string      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   status string      
   url string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string